Skip to main content
PUT
/
api
/
notifications
/
preferences
Update notification preferences
curl --request PUT \
  --url https://api.example.com/api/notifications/preferences \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "digest_frequency": "<string>",
  "digest_scope": "all",
  "digest_time": "<string>",
  "quiet_hours_start": "<string>",
  "quiet_hours_end": "<string>",
  "timezone": "<string>",
  "max_alerts_per_day": 123,
  "trigger_alerts_enabled": true,
  "inactivity_nudge_enabled": true,
  "weekly_review_enabled": true,
  "daily_digest_enabled": true,
  "weekly_review_scope": "all",
  "alert_scope": "all"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "digest_frequency": "<string>",
  "digest_scope": "all",
  "digest_time": "<string>",
  "timezone": "<string>",
  "max_alerts_per_day": 123,
  "trigger_alerts_enabled": true,
  "inactivity_nudge_enabled": true,
  "weekly_review_enabled": true,
  "daily_digest_enabled": true,
  "weekly_review_scope": "all",
  "alert_scope": "all",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "quiet_hours_start": "<string>",
  "quiet_hours_end": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Partial update request for notification preferences.

digest_frequency
string | null
digest_scope
enum<string> | null
Available options:
all,
work,
personal
digest_time
string<time> | null
quiet_hours_start
string<time> | null
quiet_hours_end
string<time> | null
timezone
string | null
max_alerts_per_day
integer | null
trigger_alerts_enabled
boolean | null
inactivity_nudge_enabled
boolean | null
weekly_review_enabled
boolean | null
daily_digest_enabled
boolean | null
weekly_review_scope
enum<string> | null
Available options:
all,
work,
personal
alert_scope
enum<string> | null
Available options:
all,
work,
personal

Response

Successful Response

Response model for notification preferences.

id
string<uuid>
required
user_id
string<uuid>
required
digest_frequency
string
required
digest_scope
enum<string>
required
Available options:
all,
work,
personal
digest_time
string<time>
required
timezone
string
required
max_alerts_per_day
integer
required
trigger_alerts_enabled
boolean
required
inactivity_nudge_enabled
boolean
required
weekly_review_enabled
boolean
required
daily_digest_enabled
boolean
required
weekly_review_scope
enum<string>
required
Available options:
all,
work,
personal
alert_scope
enum<string>
required
Available options:
all,
work,
personal
created_at
string<date-time>
required
updated_at
string<date-time>
required
quiet_hours_start
string<time> | null
quiet_hours_end
string<time> | null